﻿using System;

namespace HandsonSoft.Web.WebFormsModelBinder
{
    [AttributeUsage(AttributeTargets.Property)]
    public class ValueList : Attribute
    {
        public string CollectionProperty { get; set; }
        public string SelectedProperty { get; set; }
        public string FindMethod { get; set; }
        public bool FindMethodInParent { get; set; }
        public string AddMethod { get; set; }

        public ValueList()
        {
            CollectionProperty = "Items";
            SelectedProperty = "Selected";
            FindMethod = "FindByValue";
            FindMethodInParent = false;
            AddMethod = "Add";
        }
    }
}
